List refunds | Moov Documentation

List refunds

Get a list of refunds for a card transfer.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.

GET

/accounts/{accountID}/transfers/{transferID}/refunds

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/refunds" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var transferID string

mc.ListRefunds(ctx, accountID, transferID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.listRefunds({
    accountID: "03f5baaa-f5d8-44bd-90db-868745fe66e8",
    transferID: "6b1aa1a1-bff1-43b9-9126-2806fdc9c732",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\